Printago API
PATCH /v1/classwork/{id}/attachments/{attachmentId}

Update a classwork attachment (reorder)

Requires: classwork.editor

Path Parameters

id required
string
The classwork ID
attachmentId required
string
The attachment ID

Request Body

ClassworkAttachmentUpdate
displayOrderoptional
integer

Example Request

application/json
{
  "displayOrder": 1
}

Response Schema

ClassworkAttachment
classworkIdrequired
string
pattern: ^[a-z0-9]{24}$
contentTyperequired
string
createdAtrequired
string
format: date-time
displayOrderrequired
number
fileNamerequired
string
fileUrirequired
string
idrequired
string
pattern: ^[a-z0-9]{24}$
sizeBytesrequired
number
storeIdrequired
string
pattern: ^[a-z0-9]{24}$
updatedAtrequired
string
format: date-time

Example Response

200 OK — application/json
{
  "classworkId": "string",
  "fileUri": "string",
  "fileName": "string",
  "contentType": "string",
  "sizeBytes": 1,
  "displayOrder": 1,
  "id": "string",
  "storeId": "string",
  "createdAt": "2025-01-15T12:00:00.000Z",
  "updatedAt": "2025-01-15T12:00:00.000Z"
}